package com.github.gkutiel.flip.web;

import java.util.Map;

import com.github.gkutiel.flip.processor.pub.Response;

public class TextResponse implements Response {

	private String mime = "text/plain";

	@Override
	public byte[] getBytes(final Object obj) {
		return obj.toString().getBytes();
	}

	@Override
	public String getMimeType() {
		return mime;
	}

	@Override
	public void setProps(final Map<String, String> props) {
		final String mime = props.get("mime");
		if (mime != null) this.mime = mime;
	}

}
